Get Group
GET /obp/v7.0.0/management/groups/GROUP_ID
OBPv6.0.0-getGroup No role required Group
Get a group by its ID.
Requires either:
- CanGetGroupsAtAllBanks (for any group)
- CanGetGroupsAtOneBank (for groups at specific bank)
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
GROUP_ID: GROUP_ID
JSON response body fields (6)
- group_description
- group_description
- group_id
- group_id
- group_name
- group_name
- is_enabled
- is_enabled
- list_of_roles
- list_of_roles
- bank_id
- gh.29.uk
Example success response
{
"group_id": "group-id-123",
"bank_id": "gh.29.uk",
"group_name": "Teller Group",
"group_description": "Standard teller roles for branch operations",
"list_of_roles": [
"CanGetCustomer",
"CanGetAccount",
"CanCreateTransaction"
],
"is_enabled": true
}Possible errors (2)
- OBP-20001: User not logged in. Authentication is required!
- OBP-50000: Unknown Error.